--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Creates a table with the columns given in the provided block:"
- !ruby/struct:SM::Flow::VERB 
  body: "  DB.create_table :posts do\n    primary_key :id\n    column :title, :text\n    String :content\n    index :title\n  end\n"
- !ruby/struct:SM::Flow::P 
  body: "Options:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: ":temp - Create the table as a temporary table."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: ":ignore_index_errors - Ignore any errors when creating indexes."
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: See Schema::Generator.
full_name: Sequel::Database#create_table
is_singleton: false
name: create_table
params: (name, options={}, &block)
visibility: public
